org.apache.calcite.avatica.util

## Class ArrayFactoryImpl

- java.lang.Object
- - org.apache.calcite.avatica.util.ArrayFactoryImpl

All Implemented Interfaces:
  ArrayImpl.Factory

Direct Known Subclasses:
  AvaticaResultSet

    public class ArrayFactoryImpl
    extends Object
    implements ArrayImpl.Factory

Implementation of `ArrayImpl.Factory`.

### Constructor Summary

Constructors
Constructor and Description
`ArrayFactoryImpl(TimeZone timeZone)`

### Method Summary

All Methods Instance Methods Concrete Methods
`ResultSet` `create(ColumnMetaData.AvaticaType elementType, Iterable<Object> elements)` Creates a `ResultSet` from the given list of values per `Array.getResultSet()`.
`Array` `createArray(ColumnMetaData.AvaticaType elementType, Iterable<Object> elements)` Creates an `Array` from the given list of values, converting any primitive values into the corresponding objects.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ArrayFactoryImpl

    public ArrayFactoryImpl(TimeZone timeZone)

### Method Detail

#### create

    public ResultSet create(ColumnMetaData.AvaticaType elementType,
                            Iterable<Object> elements)
                     throws SQLException

Description copied from interface: `ArrayImpl.Factory`
Creates a `ResultSet` from the given list of values per `Array.getResultSet()`.

Specified by:
  `create` in interface `ArrayImpl.Factory`
Parameters:
  `elementType` - The type of the elements
  `elements` - The elements
Throws:
  `SQLException` - on error

#### createArray

    public Array createArray(ColumnMetaData.AvaticaType elementType,
                             Iterable<Object> elements)

Description copied from interface: `ArrayImpl.Factory`
Creates an `Array` from the given list of values, converting any primitive values into the corresponding objects.

Specified by:
  `createArray` in interface `ArrayImpl.Factory`
Parameters:
  `elementType` - The type of the elements
  `elements` - The elements